Last Comment Bug 226361 - Tabindex not working properly on XHTML Anchor testcase
: Tabindex not working properly on XHTML Anchor testcase
Status: RESOLVED WORKSFORME
:
Product: Core
Classification: Components
Component: Keyboard: Navigation (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Pete Zha
:
Mentors:
data:application/xml;charset=utf-8;ba...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-20 13:37 PST by Philip K. Warren
Modified: 2009-07-25 14:54 PDT (History)
8 users (show)
mats: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
proposed patch (1.23 KB, patch)
2003-11-23 03:26 PST, Kyle Yuan
aaronlev: review+
bryner: superreview-
mozilla: approval1.7+
Details | Diff | Review
mochitest3.diff (3.92 KB, patch)
2009-07-24 11:22 PDT, Mats Palmgren (:mats)
no flags Details | Diff | Review
mochitest5.diff (4.70 KB, patch)
2009-07-25 12:48 PDT, Mats Palmgren (:mats)
no flags Details | Diff | Review

Description Philip K. Warren 2003-11-20 13:37:24 PST
In the specified URL, the tabindex works properly the first time tabbing through
the elements, but the second time through, it seems to get confused and skip the
3rd and 5h links. The testcase works properly in IE (after saving the file with
a .html extension).

Expected behavior:
Tabbing goes from 3rd link -> 5th link -> 1st link -> 2nd link -> 4th link ->
url bar and back to the 3rd link.

Actual behavior:
Tabbing goes from 3rd link -> 5th link -> 1st link -> 2nd link -> 4th link ->
url bar and back to the 1st link, skipping 3rd and 5th links.
Comment 1 Kyle Yuan 2003-11-23 03:26:12 PST
Created attachment 136161 [details] [diff] [review]
proposed patch

I think this bug was origianlly introduced by the fix of bug 130447
(http://bugzilla.mozilla.org/attachment.cgi?id=75086&action=view),  we should
not do that when the current selection is root content. See
http://lxr.mozilla.org/seamonkey/source/content/events/src/nsEventStateManager.cpp#3097
Comment 2 Kyle Yuan 2003-11-23 03:27:33 PST
Comment on attachment 136161 [details] [diff] [review]
proposed patch

Aaron, what do you think?
Comment 3 Aaron Leventhal 2004-04-09 09:40:19 PDT
Comment on attachment 136161 [details] [diff] [review]
proposed patch

r=aaronl
Comment 4 Mike Kaply [:mkaply] 2004-04-09 13:37:31 PDT
Comment on attachment 136161 [details] [diff] [review]
proposed patch

a=mkaply when you get an sr
Comment 5 Brian Ryner (not reading) 2004-04-22 09:41:16 PDT
Comment on attachment 136161 [details] [diff] [review]
proposed patch

After reading the DOM Range spec, it seems like this would break the case where
the selection start or end is between two immediate children of the root node. 
I don't think this can happen in legal HTML or XHTML, but it could presumably
happen in other markup languages.

I wonder if this is related to the testcase having a <p> node directly under
the <html> instead of under the <body>.
Comment 6 Kyle Yuan 2004-04-26 23:28:23 PDT
I saved the test case locally and found an interesting thing: if I changed the
file suffix to html, the bug will be gone; if I still use the .xml suffix, the
bug  is reproducible no matter where the <p> tag is (under <html> or under <body>).
Comment 7 Hixie (not reading bugmail) 2004-04-27 07:55:08 PDT
This is WFM on Gecko/20040302 Firefox on Debian, btw.
Comment 8 Brian Ryner (not reading) 2004-07-06 17:06:36 PDT
Comment on attachment 136161 [details] [diff] [review]
proposed patch

minusing, this doesn't seem right.
Comment 9 Mats Palmgren (:mats) 2009-07-24 11:21:32 PDT
Works fine in Firefox 20090721 nightly on Linux.  Probably fixed by the
new focus manager (bug 178324).
I'll resolve the bug WFM and push a regression test as soon as it clears
all platforms on TryServer.
Comment 10 Mats Palmgren (:mats) 2009-07-24 11:22:15 PDT
Created attachment 390505 [details] [diff] [review]
mochitest3.diff
Comment 11 Mats Palmgren (:mats) 2009-07-25 12:48:16 PDT
Created attachment 390665 [details] [diff] [review]
mochitest5.diff
Comment 12 Mats Palmgren (:mats) 2009-07-25 14:54:45 PDT
Pushed the test:
http://hg.mozilla.org/mozilla-central/rev/3c87acfd4ca4

-> WORKSFORME

Note You need to log in before you can comment on or make changes to this bug.